#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;
    cin >> n;

    long long x[n], y[n], z[n];

    for (int i = 0; i < n; i++)
    {
        cin >> x[i];
    }

    for (int i = 0; i < n; i++)
    {
        cin >> y[i];
    }

    for (int i = 1; i <= n; i++)
    {
        cin >> z[i];
    }

    long long brojac = 0;

    for (int i = 0; i < n; i++)
    {
        for (int j = 0; j < n; j++)
        {

            if (x[i] == y[j])
            {
               for (int k = 1; k <= n; k++)
               {
                   if (j + 1 == z[k])
                   {

                       brojac ++;
                   }
               }
            }
        }
    }

    cout << brojac << endl;

    return 0;
}